Peplink Portal Docs

List children partners

Returns a list of your children (reseller) accounts under your partner account.

Request

GET/partner/children

Response

An array of json is returned in the response body. Each item in the array contains the following fields:

refIdinteger

Ref ID of your partner account.

parentRefIdnullable integer

Ref ID of your parent account. null if your partner account is not under any other partner account.

namestring

Name of your partner account.

typestring

Type of your partner account.

emailstring

Contact email of your partner account.

contactPersonstring

Contact person of your partner account.

countrystring

Country of your partner account.

Examples

Request

curl -X GET 'https://portal.peplink.com/api/e/v1/cp/partner/children' \  -H 'Authorization: Bearer {token}'

Response

[
  {
    "refId": 12345,
    "parentRefId": 1234,
    "name": "Reseller A",
    "type": "GOLD",
    "email": "[email protected]",
    "contactPerson": "Reseller A Sales",
    "country": "Spain"
  },
  {
    "refId": 12346,
    "parentRefId": 1234,
    "name": "Reseller B",
    "type": "SILVER",
    "email": "[email protected]",
    "contactPerson": "Reseller B Sales",
    "country": "Sweden"
  }
]

On this page